summaryrefslogtreecommitdiffstats
path: root/tests/manual
diff options
context:
space:
mode:
Diffstat (limited to 'tests/manual')
-rw-r--r--tests/manual/bearerex/datatransferer.cpp2
-rw-r--r--tests/manual/mkspecs/.gitignore2
-rwxr-xr-xtests/manual/mkspecs/test.sh64
-rw-r--r--tests/manual/qtouchevent/qtouchevent.pro (renamed from tests/manual/qtouchevent/multitouch.pro)0
-rw-r--r--tests/manual/textrendering/glyphshaping/glyphshaping.pro2
5 files changed, 68 insertions, 2 deletions
diff --git a/tests/manual/bearerex/datatransferer.cpp b/tests/manual/bearerex/datatransferer.cpp
index c3c13a8..c449bb1 100644
--- a/tests/manual/bearerex/datatransferer.cpp
+++ b/tests/manual/bearerex/datatransferer.cpp
@@ -121,7 +121,7 @@ void DataTransfererQTcp::readyRead()
qDebug() << "BearerEx DataTransferQTcp data received: " << data;
m_dataTransferOngoing = false;
- // m_qsocket.error() returns uninitialized value in case no error has occured,
+ // m_qsocket.error() returns uninitialized value in case no error has occurred,
// so emit '0'
emit finished(0, bytesAvailable, "QAbstractSocket::SocketError");
}
diff --git a/tests/manual/mkspecs/.gitignore b/tests/manual/mkspecs/.gitignore
new file mode 100644
index 0000000..403e028
--- /dev/null
+++ b/tests/manual/mkspecs/.gitignore
@@ -0,0 +1,2 @@
+tmp
+specs
diff --git a/tests/manual/mkspecs/test.sh b/tests/manual/mkspecs/test.sh
new file mode 100755
index 0000000..4b723c0
--- /dev/null
+++ b/tests/manual/mkspecs/test.sh
@@ -0,0 +1,64 @@
+#!/bin/bash
+
+if [ "$1" == "--help" ]; then
+ echo "Init a clean git repository somewhere and run this test script from that directory. The first run will"
+ echo "produce a bunch of specs. This is your baseline. Run 'git add specs' and commit the baseline. Then run"
+ echo "this script again, after making changes to the mkspecs. You should see any diffs you produced."
+ exit 0
+fi
+
+
+QMAKE_ARGS="-nocache -d"
+SPECS_DIR=$(qmake -query QMAKE_MKSPECS)
+SPECS=$(find -L $SPECS_DIR | grep "qmake.conf" | grep -Ev "common|default" | grep "$1")
+
+SEDI="sed -i"
+if [ $(uname) == "Darwin" ]; then
+ # Mac OS X requires an extension, Linux will barf on it being present
+ SEDI='sed -i .backup'
+fi
+
+if [ ! -d tmp ]; then
+ mkdir tmp
+ touch tmp/empty.pro
+fi
+
+if [ ! -d specs ]; then
+ mkdir specs
+fi
+
+git checkout -- specs > /dev/null 2>&1
+
+cd tmp
+for spec in $SPECS; do
+ spec=$(echo $spec | sed "s|$SPECS_DIR/||" | sed "s|/qmake.conf||")
+ output_file=$(echo "$spec.txt" | sed "s|/|-|g")
+ echo "Dumping qmake variables for spec '$spec' to 'specs/$output_file'..."
+ qmake $QMAKE_ARGS -spec $spec empty.pro 2>&1 |
+ sed -n '/Dumping all variables/,$p' |
+ grep -Ev "(QMAKE_INTERNAL_INCLUDED_FILES|DISTFILES) ===" > ../specs/$output_file
+
+ if [ -n $QTDIR ]; then
+ $SEDI "s|$QTDIR|\$QTDIR|g" ../specs/$output_file
+ fi
+
+ if [ -n $QTSRCDIR ]; then
+ $SEDI "s|$QTSRCDIR|\$QTDIR|g" ../specs/$output_file
+ fi
+done
+cd ..
+
+rm -f specs/*.backup
+
+git diff --exit-code -- specs > /dev/null
+exit_code=$?
+
+if [ $exit_code -eq 0 ]; then
+ echo -e "\nNo diff produced (you did good)"
+else
+ # Show the resulting diff
+ git diff -- specs
+fi
+
+exit $exit_code
+
diff --git a/tests/manual/qtouchevent/multitouch.pro b/tests/manual/qtouchevent/qtouchevent.pro
index de1ee06..de1ee06 100644
--- a/tests/manual/qtouchevent/multitouch.pro
+++ b/tests/manual/qtouchevent/qtouchevent.pro
diff --git a/tests/manual/textrendering/glyphshaping/glyphshaping.pro b/tests/manual/textrendering/glyphshaping/glyphshaping.pro
index caa9028..1d78aa3 100644
--- a/tests/manual/textrendering/glyphshaping/glyphshaping.pro
+++ b/tests/manual/textrendering/glyphshaping/glyphshaping.pro
@@ -1,5 +1,5 @@
SOURCES = main.cpp
OTHER_FILES = glyphshaping_data.xml
glyphshaping_data.path = .
-glyphshaping_data.sources = $$PWD/glyphshaping_data.xml
+glyphshaping_data.files = $$PWD/glyphshaping_data.xml
DEPLOYMENT += glyphshaping_data